Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Wolfram Schlich (wschlich)" <wschlich@g.o>
Subject: gentoo-x86 commit in net-im/mcabber: ChangeLog mcabber-0.9.4.ebuild mcabber-0.9.5.ebuild
Date: Tue, 20 Nov 2007 00:41:03 +0000
wschlich    07/11/20 00:41:03

  Modified:             ChangeLog mcabber-0.9.4.ebuild
  Added:                mcabber-0.9.5.ebuild
  Log:
  version bump, add missing otr USE flag
  (Portage version: 2.1.3.19)

Revision  Changes    Path
1.19                 net-im/mcabber/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/mcabber/ChangeLog?rev=1.19&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/mcabber/ChangeLog?rev=1.19&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/mcabber/ChangeLog?r1=1.18&r2=1.19

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-im/mcabber/ChangeLog,v
retrieving revision 1.18
retrieving revision 1.19
diff -u -r1.18 -r1.19
--- ChangeLog	19 Nov 2007 23:07:59 -0000	1.18
+++ ChangeLog	20 Nov 2007 00:41:02 -0000	1.19
@@ -1,6 +1,12 @@
 # ChangeLog for net-im/mcabber
 # Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-im/mcabber/ChangeLog,v 1.18 2007/11/19 23:07:59 wschlich Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-im/mcabber/ChangeLog,v 1.19 2007/11/20 00:41:02 wschlich Exp $
+
+*mcabber-0.9.5 (19 Nov 2007)
+
+  19 Nov 2007; Wolfram Schlich <wschlich@g.o> mcabber-0.9.4.ebuild,
+  +mcabber-0.9.5.ebuild:
+  version bump, add missing otr USE flag for 0.9.4 and new 0.9.5
 
 *mcabber-0.9.4 (19 Nov 2007)
 



1.2                  net-im/mcabber/mcabber-0.9.4.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/mcabber/mcabber-0.9.4.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/mcabber/mcabber-0.9.4.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/mcabber/mcabber-0.9.4.ebuild?r1=1.1&r2=1.2

Index: mcabber-0.9.4.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-im/mcabber/mcabber-0.9.4.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- mcabber-0.9.4.ebuild	19 Nov 2007 23:07:59 -0000	1.1
+++ mcabber-0.9.4.ebuild	20 Nov 2007 00:41:02 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-im/mcabber/mcabber-0.9.4.ebuild,v 1.1 2007/11/19 23:07:59 wschlich Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-im/mcabber/mcabber-0.9.4.ebuild,v 1.2 2007/11/20 00:41:02 wschlich Exp $
 
 DESCRIPTION="A small Jabber console client with various features, like MUC, SSL, PGP"
 HOMEPAGE="http://www.lilotux.net/~mikael/mcabber/"
@@ -10,7 +10,7 @@
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~mips ~ppc ~ppc64 ~sparc ~x86"
 
-IUSE="crypt spell ssl"
+IUSE="crypt otr spell ssl"
 
 LANGS="de en fr nl pl uk ru"
 # localized help versions are installed only, when LINGUAS var is set
@@ -20,6 +20,7 @@
 
 DEPEND="ssl? ( >=dev-libs/openssl-0.9.7-r1 )
 	crypt? ( >=app-crypt/gpgme-1.0.0 )
+	otr? ( net-libs/libotr )
 	spell? ( app-text/aspell )
 	>=dev-libs/glib-2.0.0
 	sys-libs/ncurses"
@@ -27,6 +28,7 @@
 src_compile() {
 	econf \
 		$(use_enable crypt gpgme) \
+		$(use_enable otr) \
 		$(use_enable spell aspell) \
 		$(use_with ssl) \
 		|| die "econf failed"
@@ -35,10 +37,10 @@
 }
 
 src_install() {
-	make install DESTDIR=${D} || die "make install failed"
+	make install DESTDIR="${D}" || die "make install failed"
 	# clean unneeded language documentation
 	for i in ${LANGS}; do
-		! use linguas_${i} && rm -rf ${D}/usr/share/${PN}/help/${i}
+		! use linguas_${i} && rm -rf "${D}"/usr/share/${PN}/help/${i}
 	done
 
 	dodoc AUTHORS ChangeLog NEWS README TODO mcabberrc.example
@@ -46,15 +48,15 @@
 
 	# contrib themes
 	insinto /usr/share/${PN}/themes
-	doins ${S}/contrib/themes/*
+	doins "${S}"/contrib/themes/*
 
 	# contrib generic scripts
 	exeinto /usr/share/${PN}/scripts
-	doexe ${S}/contrib/*.{pl,py,rb}
+	doexe "${S}"/contrib/*.{pl,py,rb}
 
 	# contrib event scripts
 	exeinto /usr/share/${PN}/scripts/events
-	doexe ${S}/contrib/events/*
+	doexe "${S}"/contrib/events/*
 }
 
 pkg_postinst() {
@@ -72,10 +74,12 @@
 	elog
 	elog "As of MCabber version 0.8.2, there is also a wizard script"
 	elog "with which you can create all necessary configuration options."
-	elog "To use it, simply execute the following command:"
+	elog "To use it, simply execute the following command (please note that you need"
+	elog "to have dev-lang/ruby installed for it to work!):"
 	elog
 	elog "  ${ROOT}usr/share/${PN}/scripts/mcwizz.rb"
 	elog
+	elog
 	elog "See the CONFIGURATION FILE and FILES sections of the mcabber"
 	elog "manual page (section 1) for more information."
 	elog



1.1                  net-im/mcabber/mcabber-0.9.5.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/mcabber/mcabber-0.9.5.ebuild?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/mcabber/mcabber-0.9.5.ebuild?rev=1.1&content-type=text/plain

Index: mcabber-0.9.5.ebuild
===================================================================
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/mcabber/mcabber-0.9.5.ebuild,v 1.1 2007/11/20 00:41:02 wschlich Exp $

DESCRIPTION="A small Jabber console client with various features, like MUC, SSL, PGP"
HOMEPAGE="http://www.lilotux.net/~mikael/mcabber/"
SRC_URI="http://www.lilotux.net/~mikael/${PN}/files/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~mips ~ppc ~ppc64 ~sparc ~x86"

IUSE="crypt otr spell ssl"

LANGS="de en fr nl pl uk ru"
# localized help versions are installed only, when LINGUAS var is set
for i in ${LANGS}; do
	IUSE="${IUSE} linguas_${i}"
done;

DEPEND="ssl? ( >=dev-libs/openssl-0.9.7-r1 )
	crypt? ( >=app-crypt/gpgme-1.0.0 )
	otr? ( net-libs/libotr )
	spell? ( app-text/aspell )
	>=dev-libs/glib-2.0.0
	sys-libs/ncurses"

src_compile() {
	econf \
		$(use_enable crypt gpgme) \
		$(use_enable otr) \
		$(use_enable spell aspell) \
		$(use_with ssl) \
		|| die "econf failed"

	emake || die "emake failed"
}

src_install() {
	make install DESTDIR=${D} || die "make install failed"
	# clean unneeded language documentation
	for i in ${LANGS}; do
		! use linguas_${i} && rm -rf "${D}"/usr/share/${PN}/help/${i}
	done

	dodoc AUTHORS ChangeLog NEWS README TODO mcabberrc.example
	dodoc doc/README_PGP.txt

	# contrib themes
	insinto /usr/share/${PN}/themes
	doins "${S}"/contrib/themes/*

	# contrib generic scripts
	exeinto /usr/share/${PN}/scripts
	doexe "${S}"/contrib/*.{pl,py,rb}

	# contrib event scripts
	exeinto /usr/share/${PN}/scripts/events
	doexe "${S}"/contrib/events/*
}

pkg_postinst() {
	elog
	elog "MCabber requires you to create a subdirectory .mcabber in your home"
	elog "directory and to place a configuration file there."
	elog "An example mcabberrc was installed as part of the documentation."
	elog "To create a new mcabberrc based on the example mcabberrc, execute the"
	elog "following commands:"
	elog
	elog "  mkdir -p ~/.mcabber"
	elog "  bzcat ${ROOT}usr/share/doc/${PF}/mcabberrc.example.bz2 >~/.mcabber/mcabberrc"
	elog
	elog "Then edit ~/.mcabber/mcabberrc with your favorite editor."
	elog
	elog "As of MCabber version 0.8.2, there is also a wizard script"
	elog "with which you can create all necessary configuration options."
	elog "To use it, simply execute the following command (please note that you need"
	elog "to have dev-lang/ruby installed for it to work!):"
	elog
	elog "  ${ROOT}usr/share/${PN}/scripts/mcwizz.rb"
	elog
	elog
	elog "See the CONFIGURATION FILE and FILES sections of the mcabber"
	elog "manual page (section 1) for more information."
	elog
	elog "From version 0.9.0 on, MCabber supports PGP encryption of messages."
	elog "See README_PGP.txt for details."
	elog
	elog "Check out ${ROOT}usr/share/${PN} for contributed themes and event scripts."
	elog
}



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in net-print/splix: splix-1.1.0.ebuild
Next by thread:
gentoo commit in xml/htdocs/doc/es: quick-samba-howto.xml
Previous by date:
gentoo-x86 commit in profiles/default-linux/alpha: package.use.mask
Next by date:
gentoo commit in xml/htdocs/doc/es: quick-samba-howto.xml


Updated Dec 29, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.